playMaker

Author Topic: Warning and errors after the new Unity 5.4.0 [SOLVED]  (Read 5264 times)

Rabagast

  • Hero Member
  • *****
  • Posts: 683
    • View Profile
    • Homepage
Warning and errors after the new Unity 5.4.0 [SOLVED]
« on: July 31, 2016, 05:41:01 PM »
Hi!
I got some warnings and errors after I created a new project. It appears only after I run the scene.

Warning msg:
OnLevelWasLoaded was found on PlayMakerFSM
This message has been deprecated and will be removed in a later version of Unity.
Add a delegate to SceneManager.sceneLoaded instead to get notifications after scene loading has completed

OnLevelWasLoaded was found on ES2AutoSaveManager
This message has been deprecated and will be removed in a later version of Unity.
Add a delegate to SceneManager.sceneLoaded instead to get notifications after scene loading has completed

OnLevelWasLoaded was found on PlayMakerUnity2d
This message has been deprecated and will be removed in a later version of Unity.
Add a delegate to SceneManager.sceneLoaded instead to get notifications after scene loading has completed

Errors:
PlayerSettings Validation: Requested build target group (15) doesn't exist; #define symbols for scripting won't be added.
UnityEditor.PlayerSettings:SetScriptingDefineSymbolsForGroup(BuildTargetGroup, String)

SetLogCallbackDefined is not allowed to be called during serialization, call it from OnEnable instead. Called from ScriptableObject 'FsmEditorWindow'.
See "Script Serialization" page in the Unity Manual for further details.
UnityEngine.Application:add_logMessageReceived(LogCallback)


How can I remove this warnings and errors?
« Last Edit: September 20, 2016, 03:29:23 PM by Alex Chouls »
Check out our homepage. http://www.walsberg.no
Or my personal game blog for news about my games. http://retro-tetro.walsberg.no

abr

  • Playmaker Newbie
  • *
  • Posts: 7
    • View Profile
Re: Warning an errors after the new Unity 5.4.0
« Reply #1 on: August 25, 2016, 05:20:02 AM »
Just a heads up: I get these warnings, too. I can't debug them, either as that would require source code access..

Please fix this, it's driving me insane.. pops up EVERY time I play in editor.

pietwelve

  • Junior Playmaker
  • **
  • Posts: 57
    • View Profile
Re: Warning an errors after the new Unity 5.4.0
« Reply #2 on: August 25, 2016, 03:41:33 PM »
Hi,
I've updated my project to Unity 5.4, and updated Playmaker to 1.8.2.
    I also have the warning : "OnLevelWasLoaded was found on PlayMakerFSM
This message has been deprecated and will be removed in a later version of Unity.
Add a delegate to SceneManager.sceneLoaded instead to get notifications after scene loading has completed"
  It's not a big deal but if there's a solution to that I can be interested.
Thanks :-)

play_edu

  • Full Member
  • ***
  • Posts: 116
    • View Profile
Re: Warning an errors after the new Unity 5.4.0
« Reply #3 on: August 25, 2016, 09:47:50 PM »
+1

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 14703
  • Official Playmaker Support
    • View Profile
Re: Warning and errors after the new Unity 5.4.0
« Reply #4 on: September 19, 2016, 01:44:30 AM »
Hi,

 The latest version of PlayMaker ( 1.8.3 at the time of post) fixes the warnings on 5.4

Bye,

 Jean

WallarooMonkey

  • Playmaker Newbie
  • *
  • Posts: 5
    • View Profile
Re: Warning and errors after the new Unity 5.4.0
« Reply #5 on: September 19, 2016, 04:20:24 PM »
Strange, I'm still seeing the warning.
Unity: 5.4.1f1
PlayMaker: 1.8.3.f4

Attached is a screenshot.

Alex Chouls

  • Administrator
  • Hero Member
  • *****
  • Posts: 3634
  • Official Playmaker Support
    • View Profile
    • LinkedIn
Re: Warning and errors after the new Unity 5.4.0
« Reply #6 on: September 19, 2016, 04:55:06 PM »
The Asset Store can be flaky about updating packages to match the Unity version you're using - you probably have the Unity 5.3 version of Playmaker still. Please open the Asset Store Download Manager and Download Playmaker to force it to get the Unity 5.4 version. This should fix it.

WallarooMonkey

  • Playmaker Newbie
  • *
  • Posts: 5
    • View Profile
Re: Warning and errors after the new Unity 5.4.0
« Reply #7 on: September 20, 2016, 02:59:48 PM »
This worked, thank you!